DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# DistributionSortIndices

Sort indices to block of data

## SYNOPSIS

`#include "dip_sort.h"`

dip_Error dip_DistributionSortIndices ( data, indices, size, dataType )

## FUNCTION

Sorts a list of indices rather than the data itself using the distribution sort algorithm.

## ARGUMENTS

Data type | Name | Description
`void *` | `data` | Data
`dip_sint32 *` | `indices` | Indices
`dip_int` | `size` | Size
`dip_DataType` | `dataType` | Data type. See DIPlib's data types

## SEE ALSO

General information about sorting

`DistributionSort`, `DistributionSortIndices16`, `Sort`, `ImageSort`, `SortIndices`, `SortIndices16`, `ImageSortIndices`